Subject: Re: [PATCH 3/5] commit-graph: use parse_options_concat()

From: Taylor Blau <[email-masked]>
Date: Sat, 18 Sep 2021 11:58:10 -0400

On Sat, Sep 18, 2021 at 11:56:16AM -0400, Taylor Blau wrote:
> > This is a good change, but if you're up for bonus points leaves the docs
> > in an odd where we (as noted in [1]) document the --object-dir and
> > --progress options under OPTIONS, but now only take the former before
> > the sub-command.
>
> Thanks for noticing. I got up and did something in between writing and
> sending this patch, and had a nagging feeling of forgetting something
> before I sent. But I couldn't figure out what ;).

Actually, I stand by the original patch. Yes, the top-level OPTIONS of
git-commit-graph(1) mentions `--[no-]progress`, but the synopsis makes
clear that those are only accepted after the sub-commands.

So I think it's fine as-is.

Thanks,
Taylor